Snapvisor Docs

Get the current user

Retrieve the user associated with the personal access token used to authenticate the request, along with their accessible accounts and GitHub linkage.

GET
/me

Retrieve the user associated with the personal access token used to authenticate the request, along with their accessible accounts and GitHub linkage.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/me"
{  "user": {    "id": "string",    "name": "string",    "email": "string"  },  "accounts": [    {      "id": "string",      "slug": "string",      "name": "string",      "type": "user",      "mcpAccessIncluded": true    }  ],  "github": {    "connected": true,    "login": "string"  }}